#! /bin/sh -e

# DP: GNU/k*BSD support
# Author: Aurelien Jarno <aurel32@debian.org>
# Status: Submitted: http://gcc.gnu.org/ml/gcc-patches/2007-04/msg01962.html

dir=
if [ $# -eq 3 -a "$2" = '-d' ]; then
    pdir="-d $3"
    dir="$3/"
elif [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch)
        patch $pdir -f --no-backup-if-mismatch -p1 < $0
        ;;
    -unpatch)
        patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
        ;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1
esac
exit 0

# append the patch here and adjust the -p? flag in the patch calls.

--- src.orig/gcc/configure	2008-03-01 15:51:06 +0100
+++ src/gcc/configure	2008-03-01 16:02:24 +0100
@@ -17110,7 +17110,7 @@
 else
   gcc_cv_libc_provides_ssp=no
     case "$target" in
-       *-*-linux*)
+       *-*-*-gnu*)
       if test x$host != x$target || test "x$TARGET_SYSTEM_ROOT" != x; then
 	if test "x$with_sysroot" = x; then
 	  glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-include"
--- src.orig/gcc/configure.ac	2008-02-01 19:55:55 +0100
+++ src/gcc/configure.ac	2008-03-01 16:02:06 +0100
@@ -3379,7 +3379,7 @@
       gcc_cv_libc_provides_ssp,
       [gcc_cv_libc_provides_ssp=no
     case "$target" in
-       *-*-linux*)
+       *-*-*-gnu*)
       if test x$host != x$target || test "x$TARGET_SYSTEM_ROOT" != x; then
 	if test "x$with_sysroot" = x; then
 	  glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-include"

